<!DOCTYPE html>
<meta charset="utf-8" />
<title>QuickQ debug</title>
<link rel="stylesheet" href="css/bootstrap.min.css" />
<style>
  .table td {
    padding: 0 1rem;
  }

  .table td:first-child {
    border-left: 1rem solid currentColor;
  }

  .debug {
    color: #999;
  }

  .info {
    color: #333;
  }

  .error {
    color: #c00;
    font-weight: bold;
  }
</style>

<table id="logs" class="table"></table>

<script src="js/jquery-3.4.1.slim.min.js"></script>
<script>
  update();

  async function update() {
    try {
      const response = await fetch("api/debug?logs=debug");
      const json = await response.json();

      const logs = json.logs;
      $("#logs")
        .text("")
        .append(
          ...logs
            .reverse()
            .map(x =>
              $("<tr>", { class: x.type.toLowerCase() }).append(
                $("<td>", { text: x.date }),
                $("<td>", { text: x.message }),
              ),
            ),
        );
    } catch (e) {
      console.error(e);
      $("#logs").prepend(
        $("<tr>", { class: "error" }).append(
          $("<td>", { text: new Date().toISOString() }),
          $("<td>", { text: `Failed to fetch debug: ${e}` }),
        ),
      );
    }

    setTimeout(update, 5_000);
  }
</script>
